* {
    margin-block: 0px;
    
    color: var(--bluegray-light);
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
}
b {
    font-weight: 500;
}

html {
    overflow-x: hidden;
}
body {
    --mobile-max-width: 600px;
    
    --bluegray-dark: #37474F;
    --bluegray-light: #32596C;
    --bluegray-highlight: #176f9b;
    --orange: #FD5722;
    --red: #DD1313;
    --text-primary: white;
    --text-secondary: rgba(255,255,255,.7);
    
    --border-width-desktop: 8px;
    --border-width-mobile: 4px;
    
    position: relative;
    
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}
h3 {
    font-size: 24px;
}


/******************** Scrollbar ********************/
::-webkit-scrollbar {
    width: 14px;
    border-left: 1px solid rgba(0, 0, 0, .1);
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 2px solid transparent;
    border-bottom: 2px solid transparent;

    display: block;
    background: rgba(0,0,0, .3);
    border-radius: 7px;
    background-clip: padding-box;
}

/****************************** Music App Estro Icon ******************************/
#maestro-title-container {
    display: grid;
    
    grid-template-areas: 
        'icon'
        'slogan'
        'purpose'
        'empty-space'
        'note';
    row-gap: 24px;
    
    align-content: center;
    justify-content: center;
    
    margin: 152px;
    margin-bottom: 64px;
}

.detail-arc {
    position: absolute;
    
    width: 140vw;
    height: 70vw;
    
    left: -20vw;
    top: calc(100vh + 152px + 90px);
    
    border-top: 1px solid rgba(0,0,0,.2);
    border-radius: 70vw 70vw 0 0;
    z-index: -1;
}
.detail-arc-2 {
    transform: scale(.98);
}
.detail-arc-3 {
    transform: scale(.96);
}
.detail-arc-4 {
    transform: scale(.94);
}
.detail-arc-5 {
    transform: scale(.92);
}

#maestro-icon {
    grid-area: icon;
    
    max-width: 220px;
    max-height: 220px;
    
    justify-self: center;
    
    border-radius: 32px;
    box-shadow: var(--red) 0px 4px 12px;
    z-index: 100;
}
#maestro-slogan {
    grid-area: slogan;
    
    text-align: center;
    
    color: var(--bluegray-light);
    font-size: 36px;
    z-index: 100;
}
#maestro-purpose {
    margin: 0;
    text-align: center;
    z-index: 100;
}
#musical-note {
    grid-area: note;
    
    justify-self: center;
    
    width: 96px;
    height: 96px;
}

@media (max-width: 737px) {
    #maestro-title-container {
        margin: 16px;
        margin-top: 80px;
    }
    
    #maestro-icon {
        min-width: 120px;
        max-width: 150px;
    }
    
    #maestro-slogan {
        font-size: 24px;
    }
    
    #maestro-purpose {
        font-size: 18px;
    }
    
    .detail-arc {
        width: 200vw;
        height: 100vw;
        
        top: calc(100vh + 148px + 90px - 16px);
        left: -50vw;
        
        border-radius: 100vw 100vw 0 0;
    }
    .detail-arc-2 {
        transform: scale(.97);
    }
    .detail-arc-3 {
        transform: scale(.94);
    }
    .detail-arc-4 {
        transform: scale(.91);
    }
    .detail-arc-5 {
        transform: scale(.88);
    }
}

/****************************** m.a.estro Users ******************************/
#testimonies-container {
    display: flex;
    flex-direction: column;
}
#testimonies-container > div {
    display: flex;
    
    flex-direction: row;
    flex-wrap: nowrap;
    
    overflow-x: scroll;
    overflow-y: hidden;
    
    max-width: 1050px;
    padding: 0 16px 0 8px;
}

#maestro-users-title {
    margin: 0 16px;
    margin-bottom: 16px;
    
    font-size: 32px;
    font-weight: 400;
    text-align: center;
}

.testimony {
    display: grid;
    margin: 8px;
    padding: 16px;
    
    height: min-content;
    align-self: center;
    align-items: center;
    
    grid-template-areas:
        'content content content'
        'vspacer vspacer vspacer'
        'name spacer stars';
    grid-template-columns: auto 1fr auto;
    grid-template-rows: auto 12px auto;
        
    background-color: white;
    border: 1px solid var(--bluegray-highlight);
    border-radius: 16px;
    color: var(--bluegray-light);
    text-align: center;
}

.testimony-content {
    grid-area: content;
    width: 75vw;
    
    font-size: 16px;
}

.stars {
    grid-area: stars;
    
    font-size: 24px;
}
.testimony-person-name {
    grid-area: name;
    
    width: max-content;
    padding: 0px 16px 0 0;
    
    font-size: 18px;
    font-weight: 500;
}

@media (min-width: 737px) {
    #testimonies-container {
        margin-top: 0px;
        align-items: center;
    }
    #testimonies-container > div {
        flex-wrap: wrap;
        justify-content: center;
    }
    
    .testimony {
        min-width: min-content;
        width: calc(50% - 16px - 34px);
    }
    .testimony-33 {
        min-width: min-content;
        width: calc(28%);
    }
    
    .testimony-content {
        width: auto;
        font-size: 17px;
    }
    .testimony-person-name {
        font-size: 18px;
    }
}

/****************************** Estro ******************************/
#estro-container {
    position: relative;
    display: grid;
    
    grid-template-areas: 'estro meaning';
    grid-template-columns: min-content 1fr;
    column-gap: 64px;
    
    width: min(calc(80vw - 32px - 16px), 800px);
    
    left: 50%;
    transform: translateX(-50%);
    
    margin: 64px 0;
    padding: 48px;
    
    background-color: var(--text-primary);
    border: solid var(--red) var(--border-width-desktop);
    border-radius: 96px;
    box-shadow: var(--red) 0px 0px 16px;
    z-index: 100;
}

#estro {
    grid-area: estro;
    align-self: center;
    
    font-size: 64px;
    font-style: italic;
}
#estro-meaning {
    grid-area: meaning;
    
    font-family: 'Cutive Mono', monospace;
    font-size: 17px;
    white-space: pre-wrap;       /* css-3 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word; 
}

.estro-line {
    position: absolute;
    
    left: 0px;
    height: 1px;
    width: 100vw;
    
    background-color: rgba(0,0,0,.2);
}

@media (max-width: 737px) {
    #estro-container {
        grid-template-areas: 
            'estro'
            'meaning';
        grid-template-columns: 100%;
        grid-template-rows: min-content min-content;
        
        row-gap: 32px;
        margin-bottom: 64px;
        
        border: solid var(--red) var(--border-width-mobile);
        border-radius: 64px;
        padding: 32px;
    }
    
    #estro {
        text-align: center;
    }
}


/****************************** Objectives ******************************/
#objectives-container {
    display: grid;
    
    width: calc(100vw - 32px * 2 - 32px * 2);
    max-width: 1000px;
    margin: 0 auto;
    margin-bottom: 64px;
    padding: 0 32px;
    
    grid-template-areas:
        'objective-1'
        'objective-2'
        'objective-3';
        
    grid-template-columns: auto;
    grid-template-rows: auto auto auto;
    
    align-content: center;
    align-items: center;
    justify-content: center;
    text-align: left;
    
    border-left: solid 2px var(--red);
}

.objective-container {
    display: grid;
    
    width: 100%;
    
    grid-template-areas:
        'title content';
    grid-template-columns: 240px 1fr;
    
    justify-self: center;
    
    padding: 16px;
}
.objective-container > h2 {
    grid-area: title;
    margin-bottom: 32px;
    
    font-size: 40px;
    font-weight: normal;
}
.objective-container > div {
    grid-area: content;
}
.objective-container p {
    margin-bottom: 16px;
    
    font-size: 20px;
}
.objective-container div ul, .objective-container div ol {
    margin-bottom: 32px;
    font-size: 20px;
}
.objective-container div ul:last-child, .objective-container div ol:last-child {
    margin-bottom: 16px;
}

#objetive-1 {
    grid-area: objective-1;
}
#objetive-2 {
    grid-area: objective-2;
}
#objetive-3 {
    grid-area: objective-3;
}

.objective-divider {
    width: 1px;
    height: 75%;
    
    align-self: center;
    
    background-color: var(--bluegray-light);
}
#objetive-divider-1 {
    grid-area: div-1;
}
#objetive-divider-2 {
    grid-area: div-2;
}

.music-keyword {
    font-weight: 100;
    opacity: .7;
}

@media (max-width: 737px) {
    #objectives-container {
        width: calc(100vw - 8px * 2 - 8px * 2);
        margin: 0 0 64px 0;
        
        padding: 0 8px;
        border-left: solid 4px var(--red);
    }
    
    .objective-container {
        grid-template-areas: 
            'title'
            'content';
        grid-template-columns: 100%;
        grid-template-rows: min-content min-content;
    }
    .objective-container p {
        font-size: 16px;
    }
    .objective-container div ul, .objective-container div ol {
        font-size: 16px;
    }
}


/****************************** Quotes ******************************/
#music-quotes-container {
    display: grid;
    
    grid-template-areas: 
        'blank-space-left blank-space-top blank-space-right'
        'blank-space-left quote-1 blank-space-right'
        'blank-space-left quote-2 blank-space-right'
        'blank-space-left quote-3 blank-space-right'
        'blank-space-left quote-4 blank-space-right'
        'blank-space-left blank-space-bottom blank-space-right';
        
    grid-template-rows: 0px auto auto auto auto 0px;
    grid-template-columns: 6vw auto 6vw;
    
    row-gap: 48px;
}

#music-quotes-background {
    grid-row-start: 1;
    grid-row-end: 7;
    grid-column-start: 2;
    grid-column-end: 4;
    
    border: var(--border-width-desktop) solid var(--bluegray-highlight);
    border-right: none;
    border-radius: 32px 0 0 96px;
    
    background: linear-gradient(45deg, var(--bluegray-dark) 0%, var(--bluegray-light) 100%);
    box-shadow: var(--bluegray-light) 0px 0px 32px;
    z-index: 100;
}

.music-quote {
    display: grid;
    
    grid-template-rows: auto auto;
    row-gap: 16px;
    
    width: 100%;
    max-width: 800px;
    margin-left: 6vw;
    
    justify-self: center;
    font-size: 18px;
    z-index: 100;
}
.music-quote:nth-child(even) {
    grid-template-areas:
        'quotation-mark quote free-space'
        'quotation-mark author free-space';
        
    grid-template-columns: 80px 1fr 64px;
}
.music-quote:nth-child(odd) {
    grid-template-areas:
        'free-space quote quotation-mark'
        'free-space author quotation-mark';
        
    grid-template-columns: 64px 1fr 80px;
}
.quotation-mark {
    grid-area: quotation-mark;
    
    height: 48px;
    margin-block: 0px;
    margin: 0 16px;
    
    color: var(--text-primary);
    font-size: 64px;
    font-weight: bold;
    transform: translateY(-16px);
    z-index: 100;
}
.quote {
    grid-area: quote;
    
    color: var(--text-primary);
    z-index: 100;
}
.author {
    grid-area: author;
    
    color: var(--text-secondary);
    z-index: 100;
}

#music-quote-1 {
    grid-area: quote-1;
}
#music-quote-2 {
    grid-area: quote-2;
}
#music-quote-3 {
    grid-area: quote-3;
}
#music-quote-4 {
    grid-area: quote-4;
}

@media (max-width: 737px) {
    #music-quotes-background {
        border: var(--border-width-mobile) solid var(--bluegray-highlight);
        border-right: none;
    }
    
    .music-quote:nth-child(even) {
        grid-template-columns: 56px 1fr 64px;
    }
    .music-quote:nth-child(odd) {
        grid-template-columns: 64px 1fr 56px;
    }
    
    .music-quote {
        font-size: 16px;
    }
    .quotation-mark {
        font-size: 40px;
        transform: translateY(-12px);
    }
}


/****************************** Screenshots ******************************/
#screenshots-container {
    display: grid;
    
    margin-top: 120px;
    
    grid-template-areas: 
        'left-line title right-line'
        'screenshots screenshots screenshots';
    grid-template-rows: auto auto;
    grid-template-columns: auto auto auto;

    row-gap: 100px;
}

#screenshots-title {
    grid-area: title;
    margin: 0 16px;

    font-size: 56px;
    text-align: center;
}

.line {
    height: 4px;
    align-self: center;
    
    background-color: var(--bluegray-light);
    box-shadow: 0 0 8px var(--bluegray-light);
}
#left-line {
    grid-area: left-line;
    
    border-radius: 0 50vmin 50vmin 0;
}
#right-line {
    grid-area: right-line;
    
    border-radius: 50vmin 0 0 50vmin;
}

#screenshots {
    grid-area: screenshots;
    display: flex;
    
    flex-direction: row;
    flex-wrap: wrap;
    gap: 24px;
    justify-content: center;
    
    margin: 0 32px 100px 32px;
}
.screenshot {
    height: auto;
    width: calc(100vw - 64px);
    max-width: 320px;
    
    border-radius: 24px;
    box-shadow: 0 3px 12px rgba(0,0,0,.6);
}

@media (max-width: 737px) {
    #screenshots-container {
        margin-top: 64px;
        row-gap: 56px;
    }
    
    #screenshots-title {
        font-size: 42px;
    }
}


/******************** Download ********************/
#download-container {
    display: flex;
    flex-direction: column;
    
    justify-content: center;
    align-content: center;
    
    width: calc(80vw - 32px - 16px);
    max-width: 600px;
    margin: 0px auto 64px auto;
    
    background-color: white;
    border: solid var(--border-width-desktop) var(--bluegray-light);
    border-radius: 48px;
    box-shadow: var(--bluegray-light) 0px 0px 16px;
    padding: 32px;
}

#download-title {
    width: 100%;
    margin-bottom: 16px;

    color: var(--bluegray-light);
    font-size: 48px;
    text-align: center;
}

@media (max-width: 737px) {
    #download-container {
        margin: 32px auto;
        
        border: solid var(--border-width-mobile) var(--bluegray-light);
    }
    
    #download-title {
        font-size: 32px;
        font-weight: 400;
    }
}


/****************************** Badges ******************************/
.badges-container {
    display: flex;
    
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 32px;
    row-gap: 0px;

    align-items: center;
    justify-content: center;
}
.google-play-badge {
    margin: 0px;
}
.google-play-badge > img {
    height: 80px;
}
.app-store-badge {
    margin: 0px;
}
.app-store-badge > img {
    height: 64px;
}

@media (max-width: 737px) {
    .google-play-badge > img {
        height: 68px !important;
    }
    .app-store-badge > img {
        height: 54px !important;
    }
}


/****************************** General ******************************/
#bottom-bg {
    position: absolute;
    
    width: 100vw;
    height: 250vh;
    
    bottom: 0;
    left:0;
    
    background: linear-gradient(180deg, rgba(0,0,0,0) 0%, var(--bluegray-light) 100%);
    -webkit-mask-image: url(./assets/BG_Tile.svg);
    mask-image: url(./assets/BG_Tile.svg);
    background-repeat: repeat;
    opacity: .1;
    z-index: -1;
}

.regular-font {
    font-weight: 400;
}